summaryrefslogtreecommitdiff
path: root/dev-python/fsspec
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-07-17 02:58:50 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-07-17 02:58:50 +0000
commit4e3ec32c2336739b75a0f9bc43b33e0f1cbbd717 (patch)
tree12d9d98277485353fbb06ed38e39009f8b0104bc /dev-python/fsspec
parent41e0438955d0caa8757aa79e0e41040cada3fc18 (diff)
downloadbaldeagleos-repo-4e3ec32c2336739b75a0f9bc43b33e0f1cbbd717.tar.gz
baldeagleos-repo-4e3ec32c2336739b75a0f9bc43b33e0f1cbbd717.tar.xz
baldeagleos-repo-4e3ec32c2336739b75a0f9bc43b33e0f1cbbd717.zip
Adding metadata
Diffstat (limited to 'dev-python/fsspec')
-rw-r--r--dev-python/fsspec/Manifest1
-rw-r--r--dev-python/fsspec/fsspec-2025.7.0.ebuild60
2 files changed, 61 insertions, 0 deletions
diff --git a/dev-python/fsspec/Manifest b/dev-python/fsspec/Manifest
index 2b1838ef6658..1f8cb15e7161 100644
--- a/dev-python/fsspec/Manifest
+++ b/dev-python/fsspec/Manifest
@@ -1 +1,2 @@
DIST filesystem_spec-2025.5.1.gh.tar.gz 438472 BLAKE2B 798cb0fdea82640e8c1de76ad6cea113cba0999ee907f2ca71602e6fab415f89ec070d3d1059e11858fe985f657092713b2db29382a2933cfbddeb1c1dea55a8 SHA512 fa645f313f0047531ceac77f74a7ba5f2ff4df363403749b629ac12f3ef2e3b42d7fe964c1f974539ed526515b027de4fde6c0366557bfae258e2fa93a8f1495
+DIST filesystem_spec-2025.7.0.gh.tar.gz 439666 BLAKE2B 9405d29fc9c9cf573966d3a1a46d94611fbc7874589862c7ad2e96c64c9c3e7b30b8ce2206f6723c94f1a4918e8763badc786f444de2c2386c9d83b615f5479c SHA512 662bbd67941cbccde26fc69f444c6566233b03bcb22b0fc219efc7bd3fb6a08d75beeea044414e8a6e2a3d3e82522f0fc13057d4be1660305a2271aee7d46c40
diff --git a/dev-python/fsspec/fsspec-2025.7.0.ebuild b/dev-python/fsspec/fsspec-2025.7.0.ebuild
new file mode 100644
index 000000000000..1aba00c18ebe
--- /dev/null
+++ b/dev-python/fsspec/fsspec-2025.7.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 2020-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1
+
+MY_P=filesystem_spec-${PV}
+DESCRIPTION="A specification that python filesystems should adhere to"
+HOMEPAGE="
+ https://github.com/fsspec/filesystem_spec/
+ https://pypi.org/project/fsspec/
+"
+# upstream removed tests in 2024.6.0
+SRC_URI="
+ https://github.com/fsspec/filesystem_spec/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/tqdm[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+
+# Note: this package is not xdist-friendly
+EPYTEST_PLUGINS=( pytest-{asyncio,mock,rerunfailures} )
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+src_test() {
+ git config --global user.email "you@example.com" || die
+ git config --global user.name "Your Name" || die
+ distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # Internet
+ fsspec/implementations/tests/test_reference.py::test_async_cat_file_ranges
+ fsspec/implementations/tests/test_github.py
+ fsspec/implementations/tests/test_gist.py
+ )
+
+ epytest -o tmp_path_retention_policy=all
+}